Ancient software and Windows 7 incompatible

Sage 50 Accounting U.S.

Sage 50 Accounting U.S.
Welcome to the Sage 50 Accounting U.S. edition product support community! Here you can ask questions, discuss the product and share best practices with other Sage 50 U.S. users.

Ancient software and Windows 7 incompatible

  • I have a real old version of PAW (3.5) that has served me well  for a long time and does everything I need it to do. Unfortunately, I recently upgraded the PC to a Core i5 64 bit and it came with Windows 7. I tried to reinstall the software but came up with an error message "this version is of the file is not compatible with the version of Windows you are running". It then explains to check for a 64 bit version of the product, which I am sure does not exist.

    I have installed numerous other ancient programs that were written prior to the 64 bit processors were developed (IMSI Floorplan v3.5 is one) and these installed and run with no trouble.

    Is it really the software, or is it the Windows Installer?

    Is there a way to use a different version of the installer?

    Is there a way to reinstall the software by bypassing the Setup.exe file?

    Last question, does anyone have a used but newer version of PAW that will install on this machine that they would consider selling (assuming that it can be properly registered)?

     

     

  • Apparently nobody that looks at this forum has any helpful advice so I will withdraw this question and will start shopping for a new software.

  • New versions will run on Windows 7 64 bit and your data should upgrade.  Although you may need to get someone to upgrade your data to an intermediate version.  I can help you with that.

     

    Peachtree Accounting for Windows (PAW) was renamed Peachtree Pro a few years ago.  And, as of version 2013 Peachtree has been renamed Sage 50 US Edition.  So you could upgrade to Sage 50 Pro 2013, or if you are looking for the cheapest way to become Windows 7 compatible, check Amazon for a copy of Peachtree Pro 2012.  2010 and 2011 are also Win7 compatible but 2012 would be easier to find.